org.apache.ode.bpel.elang.xpath20.compiler

## Class OdeXPathFunctionLibrary

- java.lang.Object
- - net.sf.saxon.xpath.XPathFunctionLibrary
  - - org.apache.ode.bpel.elang.xpath20.compiler.OdeXPathFunctionLibrary

- All Implemented Interfaces:
    java.io.Serializable, net.sf.saxon.functions.FunctionLibrary

      public class OdeXPathFunctionLibrary
      extends net.sf.saxon.xpath.XPathFunctionLibrary

  Overloading the XPathFunctionLibrary to force it to initialize our functions giving the provided parameters. Otherwise the Saxon implemetation just never gives you any parameter before runtime.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OdeXPathFunctionLibrary(JaxpFunctionResolver funcResolver)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `net.sf.saxon.expr.Expression` | `bind(int nameCode, java.lang.String uri, java.lang.String local, net.sf.saxon.expr.Expression[] staticArgs)`

    - ### Methods inherited from class net.sf.saxon.xpath.XPathFunctionLibrary

      `bind, copy, getXPathFunctionResolver, isAvailable, setXPathFunctionResolver`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OdeXPathFunctionLibrary

          public OdeXPathFunctionLibrary(JaxpFunctionResolver funcResolver)

  - ### Method Detail

    - #### bind

          public net.sf.saxon.expr.Expression bind(int nameCode,
                                                   java.lang.String uri,
                                                   java.lang.String local,
                                                   net.sf.saxon.expr.Expression[] staticArgs)
                                            throws net.sf.saxon.trans.XPathException

      Throws:
        `net.sf.saxon.trans.XPathException`